CSS::Style(3)

NAME
CSS::Style - A ruleset in a CSS object tree

SYNOPSIS
  use CSS;

DESCRIPTION
This module represents a ruleset in a CSS object tree. Read the CSS.pm pod for information about the CSS object tree.

METHODS

  CONSTRUCTORS

"new()" or "new( { ..options.. } )"
    This constructor returns a new "CSS::Style" object, with an optional hash of options.

      adaptor       adaptor to use for serialization

  ACCESSORS

"add_selector( $selector )"
    This method adds a selector to the selector list for the object. $selector is a reference to a CSS::Selector object.

"add_property( $property )"
    This method adds a selector to the property list for the object. $property is a reference to a CSS::Property object.

"set_adaptor( 'CSS::Adaptor::Foo' )"
    This method sets the current adaptor for the object.

"selectors()"
    This method is used to serialize the ruleset's selectors, using the current adaptor. It returns a string which come from the adaptor's "output_selectors()" method.

"properties()"
    This method is used to serialize the ruleset's properties, using the current adaptor. It returns a string which come from the adaptor's "output_properties()" method.

"to_string()"
    This method is used to serialize the ruleset, using the current adaptor. It returns a string which comes from the adaptor's output_rules() method.

"get_property_by_name( 'property_name' )"
    Returns the first CSS::Property object with the specified name. Returns zero on failure.

AUTHOR
Copyright (C) 2003-2004, Cal Henderson <cal@iamcal.com>

SEE ALSO
CSS, http://www.w3.org/TR/REC-CSS1